#if !defined(AFX_SCALEOPT_H__2809D6BA_2198_428A_BA11_EC83F6C0BBFA__INCLUDED_)
#define AFX_SCALEOPT_H__2809D6BA_2198_428A_BA11_EC83F6C0BBFA__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// ScaleOpt.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CScaleOpt dialog

class CScaleOpt : public CDialog
{
// Construction
public:
	CScaleOpt(CWnd* pParent = NULL);   // standard constructor
	bool ScaleAll;
	bool Brightness;
	float LastFact;
// Dialog Data
	//{{AFX_DATA(CScaleOpt)
	enum { IDD = IDD_SCALEOPTIONS };
	CButton	m_RBut;
	CButton	m_ScopeBut;
	CSpinButtonCtrl	m_ScaleSpin;
	BOOL	m_Recurse;
	float	m_SFact;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CScaleOpt)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CScaleOpt)
	afx_msg void OnDeltaposScalespin(NMHDR* pNMHDR, LRESULT* pResult);
	afx_msg void OnChangeSfact();
	virtual BOOL OnInitDialog();
	afx_msg void OnScope();
	afx_msg void OnSeleffect();
	afx_msg void OnAlleff();
	afx_msg void OnKillfocusSfact();
	virtual void OnOK();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_SCALEOPT_H__2809D6BA_2198_428A_BA11_EC83F6C0BBFA__INCLUDED_)
